### org.jfree.layouting.modules.output.html

# Class FileSystemURLRewriter

- `java.lang.Object`
- - `org.jfree.layouting.modules.output.html.FileSystemURLRewriter`

Implemented Interfaces:
  URLRewriter

`public class FileSystemURLRewriter`
`extends java.lang.Object`
`implements URLRewriter`

This URL rewriter assumes that the content repository is an URL based repository and that each content entity can be resolved to an URL.

Author:
  Thomas Morgner

  ## Constructor Summary

  `FileSystemURLRewriter()`

  ## Method Summary

  `String`

  `rewrite(ContentEntity sourceDocument, ContentEntity dataEntity)`

## Constructor Details

### FileSystemURLRewriter

    public FileSystemURLRewriter()

## Method Details

### rewrite

    public String rewrite(ContentEntity sourceDocument,
                          ContentEntity dataEntity)
                throws URLRewriteException

> Specified by:
>   rewrite in interface URLRewriter